"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (_ref) {
  var t = _ref.types;

  var hasDirective = function hasDirective(path, directive) {
    return !!path.findParent(function (_ref2) {
      var node = _ref2.node;
      return node.directives && node.directives.some(function (_ref3) {
        var value = _ref3.value;
        return value.value === directive;
      });
    });
  };

  return {
    visitor: {
      BinaryExpression: function BinaryExpression(path) {
        if (!path.isBinaryExpression({ operator: "|" })) return;
        if (hasDirective(path, "no pipe")) return;

        var args = t.isSequenceExpression(path.node.left) ? path.node.left.expressions : [path.node.left];

        path.replaceWith(t.callExpression(path.node.right, args));

        return;
      }
    }
  };
};
